import { h } from "preact";
import UserList from "../../components/userlist";
import {Pageselector, Breadcrumbs} from "../../components";
import api, {parsedb} from '../../api'
function Users() {
    console.log(parsedb)
    const navigation = ["Users"];
    return (
        <div class="container">
            <Breadcrumbs items={navigation} />
            <div>Suche: <input type={'text'} /><button>Hinzufügen</button> Limit: <select><optgroup label={'Anzahl'}><option>10</option><option>25</option><option>50</option><option>100</option></optgroup><option>Alle</option></select></div>
            <UserList userlist={api.fetchdb()} />
            <Pageselector start={1} end={9} current={2} />
        </div>
    );

}

export default Users;